#!/bin/bash

N=1
nameformat="%s%02d"
for a in $(seq 1 5)
do
	for b in $(seq 1 6)
	do
		lat=0
		time=11
		hour=0
		filename=`printf "$nameformat" "TRAJ" $N`
		format="%6d%6d%6d%6d%9.3f%9.3f%8.1f\n"
		case $b in
		1)
			lon=120
		;;
		4)
			lon=120
		;;
		2)
			lon=124
		;;
		5)
			lon=124
		;;
		3)
			lon=128
		;;
		6)
			lon=128
		;;
		esac
		case $a in
		1)
			lon=`echo "$lon - 1" | bc -l`
		;;
		2)
			lon=`echo "$lon - 0.5" | bc -l`
		;;
		4)
			lon=`echo "$lon + 0.5" | bc -l`
		;;
		5)
			lon=`echo "$lon + 1" | bc -l`
		;;
		esac

		echo '     1     1'					>  $filename
		echo '    ECMG     3     4     7     0     0'		>> $filename
		echo '     1 BACKWARD OMEGA'				>> $filename
		printf "$format" 3 4 12 $time $lat $lon 1500 		>> $filename
		echo '     1 PRESSURE'					>> $filename

		format="%6d%6d%6d%6d%6d%6d%6d%6d%8.1f%9.3f%9.3f %8.1f %8.1f\n"
		for i in $(seq 1 61)
		do
			printf "$format" 1 1 3 4 12 $time 0 0 $hour $lat $lon 1500 850 >> $filename
			let "time = (time + 23)%24"
			let "hour -= 1"
			lat=`echo "$lat + 1.4" | bc -l`
			case $b in
			4)
				lon=`echo "$lon + 0.12" | bc -l`
			;;
			5)
				lon=`echo "$lon + 0.12" | bc -l`
			;;
			6)
				lon=`echo "$lon + 0.12" | bc -l`
			;;
			esac
		done
		let "N += 1"
	done
done
